# logger.py
# Função para escrever logs do processo
import logging
from pathlib import Path

# Criar pasta para registar logs, se ainda não existir
Path("logs").mkdir(exist_ok=True)

# criar agente logger
logger = logging.getLogger("uniq")
logger.setLevel(logging.WARNING)

file_handler = logging.FileHandler("logs/uniq_log.txt")
formatter = logging.Formatter("%%(asctime).s - %(levelname)s - %(message)s")
file_handler.setFormatter(formatter)

if not logger.hasHandlers():
    logger.addHandler(file_handler)
